Index: trunk/LMDZ.TITAN/libf/muphytitan/csystem.h
===================================================================
--- trunk/LMDZ.TITAN/libf/muphytitan/csystem.h	(revision 3082)
+++ trunk/LMDZ.TITAN/libf/muphytitan/csystem.h	(revision 3083)
@@ -1,34 +1,23 @@
-/* Copyright Jérémie Burgalat (2010-2015,2017)
- * 
- * jeremie.burgalat@univ-reims.fr
- * 
- * This software is a computer program whose purpose is to provide configuration 
- * file and command line arguments parsing features to Fortran programs.
- * 
- * This software is governed by the CeCILL-B license under French law and
- * abiding by the rules of distribution of free software.  You can  use, 
- * modify and/ or redistribute the software under the terms of the CeCILL-B
- * license as circulated by CEA, CNRS and INRIA at the following URL
- * "http://www.cecill.info". 
- * 
- * As a counterpart to the access to the source code and  rights to copy,
- * modify and redistribute granted by the license, users are provided only
- * with a limited warranty  and the software's author,  the holder of the
- * economic rights,  and the successive licensors  have only  limited
- * liability. 
- * 
- * In this respect, the user's attention is drawn to the risks associated
- * with loading,  using,  modifying and/or developing or reproducing the
- * software by the user in light of its specific status of free software,
- * that may mean  that it is complicated to manipulate,  and  that  also
- * therefore means  that it is reserved for developers  and  experienced
- * professionals having in-depth computer knowledge. Users are therefore
- * encouraged to load and test the software's suitability as regards their
- * requirements in conditions enabling the security of their systems and/or 
- * data to be ensured and,  more generally, to use and operate it in the 
- * same conditions as regards security. 
- * 
- * The fact that you are presently reading this means that you have had
- * knowledge of the CeCILL-B license and that you accept its terms.
+/*
+ * Copyright (c) (2013-2015,2017) Jeremie Burgalat (jeremie.burgalat@univ-reims.fr).
+ *
+ * This file is part of SWIFT
+ *
+ * Permission is hereby granted, free of charge, to any person obtaining a copy of
+ * this software and associated documentation files (the "Software"), to deal in
+ * the Software without restriction, including without limitation the rights to
+ * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
+ * the Software, and to permit persons to whom the Software is furnished to do so,
+ * subject to the following conditions:
+ *
+ * The above copyright notice and this permission notice shall be included in all
+ * copies or substantial portions of the Software.
+ *
+ * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+ * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
+ * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
+ * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
+ * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
+ * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
  */
 
@@ -43,29 +32,29 @@
 int c_umask();
 
-/** 
- * Get directory name of input path 
+/**
+ * Get directory name of input path
  * @param[in] in A C string with the input path
  * @return A pointer to a char array with the directory name of @bti{input} path.
  * @note On error, a NULL pointer is returned.
- * @warning In any case, the returned pointer must be freed in the Fortran counterpart 
+ * @warning In any case, the returned pointer must be freed in the Fortran counterpart
  * (using fsystem::free_c).
  */
 char * c_dirname(const char *in);
 
-/** 
- * Get base name of input path 
+/**
+ * Get base name of input path
  * @param[in] in A C string with the input path
  * @return A pointer to a char array with the base name of @bti{input} path.
  * @note On error, a NULL pointer is returned.
- * @warning In any case, the returned pointer must be freed in the Fortran counterpart 
+ * @warning In any case, the returned pointer must be freed in the Fortran counterpart
  * (using fsystem::free_c).
  */
 char* c_basename(const char *in);
 
-/** 
+/**
  * Get the current working directory.
  * @return A pointer to a char array with the current workind directory.
  * @note On error, a NULL pointer is returned.
- * @warning In any case, the returned pointer must be freed in the Fortran counterpart 
+ * @warning In any case, the returned pointer must be freed in the Fortran counterpart
  * (using fsystem::free_c).
  */
@@ -73,10 +62,10 @@
 
 
-/** 
+/**
  * Get the realpath of input path.
  * @param[in] input A C string with the input path
  * @return A pointer to a char array with the realpath of @bti{input} path.
  * @note On error, a NULL pointer is returned.
- * @warning In any case, the returned pointer must be freed in the Fortran counterpart 
+ * @warning In any case, the returned pointer must be freed in the Fortran counterpart
  * (using fsystem::free_c).
  */
@@ -91,5 +80,5 @@
  * @return A pointer to a char array with the relative path.
  * @note On error, a NULL pointer is returned.
- * @warning In any case, the returned pointer must be freed in the Fortran counterpart 
+ * @warning In any case, the returned pointer must be freed in the Fortran counterpart
  * (using fsystem::free_c).
  */
@@ -101,5 +90,5 @@
  * @return A pointer to a char array with the user name.
  * @note On error, a NULL pointer is returned.
- * @warning In any case, the returned pointer must be freed in the Fortran counterpart 
+ * @warning In any case, the returned pointer must be freed in the Fortran counterpart
  * (using fsystem::free_c).
  */
@@ -111,5 +100,5 @@
  * @return A pointer to a char array with the group name.
  * @note On error, a NULL pointer is returned.
- * @warning In any case, the returned pointer must be freed in the Fortran counterpart 
+ * @warning In any case, the returned pointer must be freed in the Fortran counterpart
  * (using fsystem::free_c).
  */
@@ -122,10 +111,10 @@
 int c_get_errno();
 
-/** 
+/**
  * Get the error message of the given error id
  * @param err An integer with the error id
  * @return A pointer to a char array with the group name.
  * @note On error, the hard-coded message "Unknown error" is returned.
- * @warning In any case, the returned pointer must be freed in the Fortran counterpart 
+ * @warning In any case, the returned pointer must be freed in the Fortran counterpart
  * (using fsystem::free_c).
  */
@@ -139,5 +128,5 @@
  * @return An integer with 0 on success, last errno on failure
  */
-int c_mkdirp(const char *path, mode_t mode); 
+int c_mkdirp(const char *path, mode_t mode);
 
 /**
@@ -151,5 +140,5 @@
 /**
  * Change path permissions
- * @param path A string with the path 
+ * @param path A string with the path
  * @param mode A integer with the new permissions to set
  * @return An integer with 0 on success, last errno on failure
@@ -170,5 +159,5 @@
  *                 (as well as all the parent directorie created, if any).
  * @return An integer with 0 on success, last errno on failure
- */ 
+ */
 int c_mkdir(const char *path, mode_t mode);
 
@@ -200,5 +189,5 @@
  * Remove a directory and its contents recursively
  *
- * This method mimics 'rm -rf' command. 
+ * This method mimics 'rm -rf' command.
  * @param path A C string with the path of the directory to remove.
  * @return An integer with 0 on success, last errno on failure
@@ -208,8 +197,8 @@
 /**
  * Get some file informations
- * @note If the path cannot be "stat", most of the output parameters are set 
+ * @note If the path cannot be "stat", most of the output parameters are set
  * to -1.
  * @param[in] p A C string with the path of a file (or directory)
- * @param[out] pe An int with the permissions of the path 
+ * @param[out] pe An int with the permissions of the path
  * @param[out] nl An int with the inumber of links
  * @param[out] ty An int with the type of the file :
@@ -219,16 +208,16 @@
  *    - 3 -> link to a directory
  *    - 4 -> Other (fifo, socket, block special, char special ...)
- * @param[out] ui An int with the user id of the path 
- * @param[out] gi An int with the group id of the path 
- * @param[out] si An int with the size of the path 
+ * @param[out] ui An int with the user id of the path
+ * @param[out] gi An int with the group id of the path
+ * @param[out] si An int with the size of the path
  * @param[out] a A C string (20 chars wide, including NULL character) with the
  * last access date
  * @param[out] m A C string (20 chars wide, including NULL character) with the
  * last modification date
- * @param[out] c A C string (20 chars wide, including NULL character) with the 
+ * @param[out] c A C string (20 chars wide, including NULL character) with the
  * creation date
- * @return An integer with 0 on success, last errno on failure 
- */
-int c_fstat(const char *p, int *pe, int *nl, int *ty, int *ui, int *gi, 
+ * @return An integer with 0 on success, last errno on failure
+ */
+int c_fstat(const char *p, int *pe, int *nl, int *ty, int *ui, int *gi,
             long *si, char a[20], char m[20], char c[20]);
 
@@ -238,5 +227,5 @@
  * @param[in] perm An integer with the user's permission to check :
  *   - 0 do not check for permissions
- *   - 1 check for execute permission 
+ *   - 1 check for execute permission
  *   - 2 check for write permission
  *   - 4 check for read permission
@@ -259,5 +248,5 @@
  * @param[out] rows Number of rows of the current terminal window
  * @param[out] cols Number of columns of the current terminal window
- * @return An int with 0 on success, errno on failure. On failure, rows is set 
+ * @return An int with 0 on success, errno on failure. On failure, rows is set
  * to 80 and cols to 20.
  */
Index: trunk/LMDZ.TITAN/libf/muphytitan/defined.h
===================================================================
--- trunk/LMDZ.TITAN/libf/muphytitan/defined.h	(revision 3082)
+++ trunk/LMDZ.TITAN/libf/muphytitan/defined.h	(revision 3083)
@@ -1,40 +1,29 @@
-/* Copyright Jérémie Burgalat (2010-2015,2017)
- * 
- * jeremie.burgalat@univ-reims.fr
- * 
- * This software is a computer program whose purpose is to provide configuration 
- * file and command line arguments parsing features to Fortran programs.
- * 
- * This software is governed by the CeCILL-B license under French law and
- * abiding by the rules of distribution of free software.  You can  use, 
- * modify and/ or redistribute the software under the terms of the CeCILL-B
- * license as circulated by CEA, CNRS and INRIA at the following URL
- * "http://www.cecill.info". 
- * 
- * As a counterpart to the access to the source code and  rights to copy,
- * modify and redistribute granted by the license, users are provided only
- * with a limited warranty  and the software's author,  the holder of the
- * economic rights,  and the successive licensors  have only  limited
- * liability. 
- * 
- * In this respect, the user's attention is drawn to the risks associated
- * with loading,  using,  modifying and/or developing or reproducing the
- * software by the user in light of its specific status of free software,
- * that may mean  that it is complicated to manipulate,  and  that  also
- * therefore means  that it is reserved for developers  and  experienced
- * professionals having in-depth computer knowledge. Users are therefore
- * encouraged to load and test the software's suitability as regards their
- * requirements in conditions enabling the security of their systems and/or 
- * data to be ensured and,  more generally, to use and operate it in the 
- * same conditions as regards security. 
- * 
- * The fact that you are presently reading this means that you have had
- * knowledge of the CeCILL-B license and that you accept its terms.
+/*
+ * Copyright (c) (2013-2015,2017) Jeremie Burgalat (jeremie.burgalat@univ-reims.fr).
+ *
+ * This file is part of SWIFT
+ *
+ * Permission is hereby granted, free of charge, to any person obtaining a copy of
+ * this software and associated documentation files (the "Software"), to deal in
+ * the Software without restriction, including without limitation the rights to
+ * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
+ * the Software, and to permit persons to whom the Software is furnished to do so,
+ * subject to the following conditions:
+ *
+ * The above copyright notice and this permission notice shall be included in all
+ * copies or substantial portions of the Software.
+ *
+ * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+ * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
+ * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
+ * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
+ * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
+ * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
  */
 
- /** 
+ /**
   * @file defined.h
   * @brief CPP macro definitions files
-  * @details This header defines few CPP symbols and macros that are used 
+  * @details This header defines few CPP symbols and macros that are used
   * in the library source code.
   */
@@ -63,5 +52,5 @@
  *
  *  This macro definition depends on compiler's support for Bounded procedures
- *  in derived type (more precisely, Fortran 2003 PROCEDURE keyword support): 
+ *  in derived type (more precisely, Fortran 2003 PROCEDURE keyword support):
  *    - If it actually supports this feature, the macro defines derived type
  *      declaration as dummy argument of subroutine/function using CLASS keyword.
Index: trunk/LMDZ.TITAN/libf/muphytitan/errors.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/muphytitan/errors.F90	(revision 3082)
+++ trunk/LMDZ.TITAN/libf/muphytitan/errors.F90	(revision 3083)
@@ -1,39 +1,27 @@
-! Copyright Jérémie Burgalat (2010-2015,2017)
-! 
-! jeremie.burgalat@univ-reims.fr
-! 
-! This software is a computer program whose purpose is to provide configuration 
-! file and command line arguments parsing features to Fortran programs.
-! 
-! This software is governed by the CeCILL-B license under French law and
-! abiding by the rules of distribution of free software.  You can  use, 
-! modify and/ or redistribute the software under the terms of the CeCILL-B
-! license as circulated by CEA, CNRS and INRIA at the following URL
-! "http://www.cecill.info". 
-! 
-! As a counterpart to the access to the source code and  rights to copy,
-! modify and redistribute granted by the license, users are provided only
-! with a limited warranty  and the software's author,  the holder of the
-! economic rights,  and the successive licensors  have only  limited
-! liability. 
-! 
-! In this respect, the user's attention is drawn to the risks associated
-! with loading,  using,  modifying and/or developing or reproducing the
-! software by the user in light of its specific status of free software,
-! that may mean  that it is complicated to manipulate,  and  that  also
-! therefore means  that it is reserved for developers  and  experienced
-! professionals having in-depth computer knowledge. Users are therefore
-! encouraged to load and test the software's suitability as regards their
-! requirements in conditions enabling the security of their systems and/or 
-! data to be ensured and,  more generally, to use and operate it in the 
-! same conditions as regards security. 
-! 
-! The fact that you are presently reading this means that you have had
-! knowledge of the CeCILL-B license and that you accept its terms.
+! Copyright (c) (2013-2015,2017) Jeremie Burgalat (jeremie.burgalat@univ-reims.fr).
+!
+! This file is part of SWIFT
+!
+! Permission is hereby granted, free of charge, to any person obtaining a copy of
+! this software and associated documentation files (the "Software"), to deal in
+! the Software without restriction, including without limitation the rights to
+! use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
+! the Software, and to permit persons to whom the Software is furnished to do so,
+! subject to the following conditions:
+!
+! The above copyright notice and this permission notice shall be included in all
+! copies or substantial portions of the Software.
+!
+! THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+! IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
+! FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
+! COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
+! IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
+! CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 
 !! file: errors.F90
 !! summary: Errors handling source file.
 !! author: J. Burgalat
-!! date: 2013-2015,2017
+!! date: 2013-2015,2017,2022
 
 #include "defined.h"
@@ -60,12 +48,12 @@
     !! Define an error
     !!
-    !! The following derived type represents in the simplest way (I believe) an error which 
+    !! The following derived type represents in the simplest way (I believe) an error which
     !! stores:
     !!
     !! - An integer to numerically identify the error
     !! - A string (250 chars max) with an appropriate error message
-    !! - A bounded procedure to get a string representation of the error (if bounded 
+    !! - A bounded procedure to get a string representation of the error (if bounded
     !!   procedures are supported by the library).
-    !! - internal subroutines for derived type IO WRITE statement (if Derived IO 
+    !! - internal subroutines for derived type IO WRITE statement (if Derived IO
     !!   subroutines are supported by the library).
     !!
@@ -79,6 +67,6 @@
     INTEGER :: id = 0
       !! Numerical identifier of the error
-      !! @note 
-      !! The error identifier is used to test the equality/inequality of two error objects. 
+      !! @note
+      !! The error identifier is used to test the equality/inequality of two error objects.
 #if HAVE_FTNPROC
     CONTAINS
@@ -88,5 +76,5 @@
   END TYPE error
 
-  INTERFACE 
+  INTERFACE
     !! Clean subroutine interface
     SUBROUTINE clean_callback(err)
@@ -95,9 +83,9 @@
       IMPLICIT NONE
       TYPE(error), INTENT(in) :: err
-        !! An error object with the input error 
+        !! An error object with the input error
     END SUBROUTINE clean_callback
   END INTERFACE
 
-  INTERFACE 
+  INTERFACE
     subroutine abort_() bind(C, name="abort")
     end subroutine
@@ -111,10 +99,10 @@
   END INTERFACE assert
 
-  !> error equality operator 
+  !> error equality operator
   INTERFACE OPERATOR(==)
     MODULE PROCEDURE error_equals, error_equals_int
   END INTERFACE
 
-  !> error inequality operator 
+  !> error inequality operator
   INTERFACE OPERATOR(/=)
     MODULE PROCEDURE error_differs, error_differs_int
@@ -132,6 +120,6 @@
   FUNCTION error_equals(this, other) RESULT(res)
     !! Check if two error objects are equivalent
-    TYPE(error), INTENT(in) :: this, & !! The first error object to compare 
-                               other   !! The second error object to compare 
+    TYPE(error), INTENT(in) :: this, & !! The first error object to compare
+                               other   !! The second error object to compare
     LOGICAL :: res                     !! .true. if __this__ and __other__ identifiers are the same, .false. otherwise
     res = (this%id == other%id)
@@ -150,6 +138,6 @@
   FUNCTION error_differs(this, other) RESULT(res)
     !! Check if two error objects are different
-    TYPE(error), INTENT(in) :: this, & !! The first error object to compare 
-                               other   !! The second error object to compare 
+    TYPE(error), INTENT(in) :: this, & !! The first error object to compare
+                               other   !! The second error object to compare
     LOGICAL :: res                     !! .false. if __this__ and __other__ identifiers are the same, .true. otherwise
     res = (this%id /= other%id)
@@ -174,9 +162,9 @@
     CHARACTER(len=*), INTENT(in), OPTIONAL :: progname
       !! An optional string with the name of the program
-    LOGICAL, INTENT(in), OPTIONAL          :: as_warning 
+    LOGICAL, INTENT(in), OPTIONAL          :: as_warning
       !! An optional boolean flag to print the message as warning rather than as error (default to .false.).
     CHARACTER(len=:), ALLOCATABLE :: str
       !! An allocatable string with the string representation of the error
-    CHARACTER(len=:), ALLOCATABLE :: pref 
+    CHARACTER(len=:), ALLOCATABLE :: pref
     pref = "error: "
     IF (PRESENT(as_warning)) THEN ; IF (as_warning) pref = "warning: " ; ENDIF
@@ -190,5 +178,5 @@
       str = pref//TRIM(this%msg)
     ENDIF
-    RETURN 
+    RETURN
   END FUNCTION error_to_string
 
@@ -208,11 +196,11 @@
   SUBROUTINE assert_r(test,reason)
     !! _Raise_ an assertion.
-    !! 
+    !!
     !! The method raises an assertion and stops the execution if __test__ is .false.
-    !! 
+    !!
     !! @note
     !! If ISO_C_BINDING module is available, the method calls the method abort from the C standard library. Doing so,
     !! developer is able to debug the source code by getting the backtrace of the execution.
-    !! In other situation, the method simply uses the Fortran STOP statement which makes its usage... useless. 
+    !! In other situation, the method simply uses the Fortran STOP statement which makes its usage... useless.
    LOGICAL, INTENT(in)          :: test
      !! Expression to test.
@@ -227,7 +215,7 @@
   SUBROUTINE assert_w(test,where,reason)
     !! _Raise_ an assertion.
-    !! 
+    !!
     !! The method raises an assertion and stops the execution if __test__ is .false.
-    !! 
+    !!
     !! See [[errors(module):assert_r(subroutine)]] remark.
     LOGICAL, INTENT(in)         :: test
@@ -249,5 +237,5 @@
     !! @note
     !! According to Fortran standard, the maximum value for a lun is processor
-    !! dependent. I just assume that [7,9999] is a valid range and I believe that 
+    !! dependent. I just assume that [7,9999] is a valid range and I believe that
     !! 9992 files to be opened is far enough for any program !
     !! @note
@@ -255,5 +243,5 @@
     !! mind that loggers open files with the first free logical unit. Consequently
     !! if you need to perform I/O operations you should use this function to get a
-    !! free lun instead of just randomly set a lun ! 
+    !! free lun instead of just randomly set a lun !
     INTEGER :: lu
       !! First free logical unit in the range [7,9999]  or -1 if no lun is available
